=== debian/changelog ===
ignition-transport (0.8.1+dfsg1-1build1) wily; urgency=medium

  * No-change rebuild against libprotobuf9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 18:45:02 +0000

ignition-transport (0.8.1+dfsg1-1) unstable; urgency=medium

  * ignition-transport 0.8.1-1 release (Closes: #783520)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2015 15:47:57 +0000
