=== debian/tests/control ===
Tests: build
Depends: libignition-transport-dev, build-essential
