=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 #endif ()
 
 include_directories(
+  ${CMAKE_BINARY_DIR}
   ${CMAKE_BINARY_DIR}/test
 )
