=== debian/changelog ===
ignition-transport (0.9.0-3build1) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:20:49 +0000

ignition-transport (0.9.0-3) unstable; urgency=medium

  * Miss dependency on protobuf by libignition-transport0-dev
  * Fix URL is Vcs lines

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Jan 2016 14:29:00 +0000

ignition-transport (0.9.0-2) unstable; urgency=medium

  * Fix autotest using versioned -dev files

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Jan 2016 20:47:23 +0000

ignition-transport (0.9.0-1) unstable; urgency=medium

  * Imported Upstream version 0.9.0
  * Removed patches merged upstream
  * Back to setup the c++11 patch. Needed for building.
  * Fix patch to keep test compilation running
  * Transition to versioned -dev since API follow semantic versioning
  * Remove all -dev install file
  * Implement overrides for transport0
  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Nov 2015 02:00:30 +0100
