=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ignition-transport
 Standards-Version: 3.9.6
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: extra
@@ -17,8 +16,8 @@
                protobuf-compiler,
                uuid-dev,
                libzmq3-dev (>= 3.0.0)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ign-transport.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ign-transport.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ignition-transport.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/ignition-transport.git
 Homepage: http://ignitionrobotics.org/libraries/transport
 
 Package: libignition-transport0
@@ -38,12 +37,23 @@
  logging, 3D mesh management, and asynchronous message passing.
 
 Package: libignition-transport-dev
+Depends: libignition-transport0-dev, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package to libignition-transport0-dev
+ This is a transitional dummy package. It can safely be removed.
+
+Package: libignition-transport0-dev
 Architecture: any
 Section: libdevel
 Depends: libignition-transport0 (= ${binary:Version}),
          uuid-dev,
          libzmq3-dev (>= 3.0.0),
+         libprotobuf-dev,
          ${misc:Depends}
+Replaces: libignition-transport-dev (<< 0.9.0)
+Breaks: libignition-transport-dev (<< 0.9.0)
 Multi-Arch: same
 Description: Ignition Robotics transport Library - Development files
  Ignition transport library combines ZeroMQ with Protobufs to create a fast and
