=== debian/tests/control ===
Tests: build
Depends: libignition-transport0-dev, pkg-config, build-essential
